# Magic

The following morning, the residents of the Tower sat down for breakfast in the second floor kitchen. The four were joined by a blonde girl clad all in green, who introduced herself as Lily.

"How'd you sleep?" she asked the two newcomers.

Slannon shrugged, tugging at his shirt. "Not too bad, though I'm a bit surprised that there was a full dresser in my room. I assume it's some kind of magic that makes it all fit?"

"Yeah, it's where the tags would be on normal clothes. We think the Tower provides them - any clothes we toss in the hamper are cleaned and put away the next day, just like... well, like magic." Laz was working at the stove, scrambling some eggs. "Same with the food - the Tower always has a supply of fresh food, though it's not always what you planned on eating. I was hoping for some bacon today, for instance." He nudged away a meat bar that Tome had offered. "No thanks, I can tell from the wrapper that one's chicken."

Watching Laz cook was an interesting affair. He clearly wasn't accustomed to cooking much, and the situation was made slightly more problematic by the fact that none of the appliances were standard Earth ones. Instead of burners, the stove had things that could only be described as magic circles etched into the top, and Laz controlled them by touching the non-hot portions and focusing. At last, he managed to produce a suitable breakfast for the five.

As they dug in, Slannon and Mira did their best to resist asking questions. After the magic display the previous night, they had reluctantly gone to bed after being promised that they would learn more the next day, including getting caught up on the research attempts at going home.

"Tome and I are the ones who have been doing most of the research here." Lily informed them. "It's strange, sometimes we'll be looking at different books, and a sound will just pop into my head while I'm trying to read them or look for patterns. That's how we ended up with the few spells we do know."

"I don't get those sounds," continued Tome, "but I remember everything I've seen. It doesn't help much when you don't actually understand what you're reading, but if you wrote down some Unua I'd be able to tell you if I'd seen it before, and probably even what book it's in."

"We think that different people have different talents, like the color of their mana." Lily noticed their puzzled looks. "Oh come on, it's a common name for it in fiction on Earth. Mana? The energy that makes up magic?" She waved her fingers and a turquoise shimmer formed in the air around them. "You know, this."

"Quit showing off." Laz was grinning as he said it. "I'm hoping that Rasp's expedition is successful, I really want to find something to help us decode that library."

"Well you're in luck, bro, because I come bearing gifts!" A new voice from the doorway startled everyone. Laz leaped to his feet, rushing to hug the newcomer.

"Everyone, this is Rasp - my little brother Rasputin." The family resemblance was obvious. The brothers had the same fair hair and lanky build, though Rasp seemed to be a little more toned than his elder sibling. While Laz's eyes were a deep green, much like his mana, Rasp's were blue - and locked on to Slannon's.

"I didn't expect any newcomers! Welcome to our little community. I hope you like research!" He smiled as he said it, moving to shake Slannon's, and then Mira's, hands. He turned back to Laz. "I put the new stuff in circle room four on my way down here."

In response to Slannon's increasingly familiar look of confusion, Laz explained. "I told you he was out and about, getting new things. We found the location of two new storefronts that might have something to help us. The circle rooms are the ones on the fifth floor - magic circle outlines etched in the ground, we think for group spells. You can add any stuff from your store to the pile, we can take a look at them. Who knows, you might have new spell coins that we can learn from!"

Mira stood, holding her now empty plate. "What should we do with these?"

Laz took a deep breath, then held out his hands. "`krav`." One by one, the plates rose from the table, settling into a neat pile in the nearby sink. "I haven't quite mastered it without saying the words yet, but that's one of the basic spells. Sort of like a general-purpose 'move things' spell."

"Sounds like you've been practicing for a while. How long have all of you been here?" Slannon was surprised by how calm the Tower residents were. They had been ripped from their lives, brought to this new world where everything worked differently.

"Two months. So if you have any major world news since then, that would be nice to hear."

"Well, California is on fire, the Red Sox won the world series... Really, I can't think of anything out of the ordinary, at least in my part of the world." Slannon shrugged. "Sorry."

"That's fine, I guess. You ready to start training?"

---

Slannon and Mira stood side by side in the training room basement, while Laz leaned against a wall behind them. "Try again, focus on the feeling of the spell."

"`pah`." Slannon felt the energy leave him, striking the target. A clean gash appeared across the center, persisting for a few moments before slowly knitting itself back together. He focused on the sensation he had felt, holding his palm upright.

The sensation started up again as he envisioned the blue light - the mana - in the palm of his hand. Slowly, the deep blue light began to emanate from his hand, starting as a dull glow and gently rising into a sphere of light. He blinked, surprised, and the light abruptly cut out. "Did you see that? I almost had it!"

Mira was focusing on her own exercise. The two had spent the better part of the last hour first practicing their mana bolts, then practicing channeling raw mana itself.

"Everything in magic is made of mana", Laz had explained. "Once you can summon and shape it, you can do things like power magic circles." As a demonstration, he had produced a green bar of light that the two could hold.

As Slannon watched, Mira's red light flowed from her hands, shaping itself into a sphere. She grunted in concentration as the sphere slowly grew in size. She reached upward, plucking the sphere from the air in front of her, then silently handed it to Laz.

"Very good! You can probably still feel it, even though I'm holding it now. Try moving it around without touching it?" Laz held his hand out, the red sphere resting in his palm. Mira cocked her head, and slowly the ball floated into the air, before shooting off toward one of the walls. It vanished as the three ducked for cover. "Okay, well you moved it. Your control needs a little work, but at least you can summon it."

Not to be outdone, Slannon returned to his position. "You said that we have to hold the entire pattern of the mana in our minds, right? So how can it get out of control?"

The blue energy flowed from him as Laz answered. "Even a stray thought seems to be enough to break control, at which point it just becomes wild energy. It does whatever it wants in that case, usually moving in random directions and spreading out, until our minds sort of clean up after themselves and will it out of existence."

Slannon's ball was smaller than Mira's, but he did his best to remain calm. He imagined the ball moving upwards - not being pushed, but almost as if it were flowing into a different place. The ball did as he instructed, though more hesitantly than he had hoped. Encouraged, he made it float in a circle around his head before melting back into his palm. That last step was particularly strange, as he could feel the energy from the ball rejoining his body. He was about to try again, when the three heard a voice calling from upstairs: "You've got to see this, everyone!"

---

Though Laz had dubbed the room a "study room", the term "workshop" was probably more applicable. There were a few desks up against the walls, each holding various objects. The most distinctive feature of the room, however, was the giant circle carved into the stone of the floor. Several symbols that appeared to be Unua were carved into it, but overall it seemed almost empty - as though it needed to be filled with other symbols. In the center was a triangle with a different symbol carved at each point. Lily stood, beaming, to the side of the circle, with a book in her hands and Tome by her side.

"I got this from the library. We were originally going to look through and see if any new words popped into my head, but then this happened. Go ahead, Tome." Lily looked at her partner in crime excitedly.

Tome reached out, one hand crossing into the circle, and closed his eyes. Yellow mana flowed from his hand, forming a complicated series of shapes that lay on the floor. The resulting circle looked much more full now. He opened one eye, grimacing, and said "Alright, now hurry."

Lily reacted, flicking some olive light into the circle. Where the mana struck the ground, a flash of light appeared, and a fire started to burn. The shapes in the circle faded away as the two turned to look at their audience in the doorway. Lit from behind by the still-burning fires, there was something strange about the two - they almost glowed with energy themselves.

Rasp was the first to speak. "We've been studying these books for two months, and you already figured out how to read them? How did you even do that?"

"No, it's not that we understand them." Tome shook his head. "You know how it's been when we're practicing. I've always had a knack for keeping mana in place. I think it has something to do with my memory."

"Mind filling us in?" Mira was looking back and forth between the two. "What about your memory?"

"It's perfect. I can remember literally everything, as long as I focus when I first look at it. It made school really easy, to be honest. But now... I can remember the positions of all of the runes, and keep focusing on them, though it's a bit tricky."

Laz patted him on the back. "It's pretty cool, to be honest. I wish we all could do that!"

"There's more." Lily turned to one of the tables, picking up a small lens. "Look through this."

Slannon did as he was told, closing one eye and looking through the lens with the other. Nothing seemed out of the ordinary until he looked back at the book Lily was holding open. There, clear as day, were the words "fire spark". He opened the other eye, but could only see the runes. "It's a translator."

"Exactly. It doesn't translate everything, just the chapter titles, but it's enough that it should help us catalog the books. The shelf we got this from was full of books like this. Each chapter seems to start with a circle like this one, and then a few pages of script. This particular book seems to be about fire." Lily flipped through the pages for a moment before stopping at one page. "Fire ring. Try this?"

Tome took the book from her, studying it. Laz turned to Slannon and Mira. "We've found a few of these spell circles, but most of them are filled in. We think that having a circle written out allows us to do magic that's more complex than just basic mana manipulation."

Tome reached out his hand again, creating new patterns on the floor. Lily turned to Mira. "Come on, let's see if you can do it too!"

Mira stepped forward, summoning a ball of mana more quickly than she had in the basement, before moving it into the circle. A ring of flame erupted around the edge to form a barrier. She clenched her hand, and the fire roared up before dissipating. "I could feel it, but... in my mind, kind of."

Laz was beaming. "We'll figure this out. One of those books has to have a way home for all of us!"
